package book;

import java.util.List;

import javax.persistence.EntityManager;

import book.entities.Book;
import book.util.Utils;

public class BookStore {
    private static EntityManager em;

    // Constructor, gets the name of a persistence unit, and creates an appropriate `EntityManager` for it.
	public BookStore(String persistenceUnitName) {
		em = Utils.getEntityManager(persistenceUnitName);
		em.getTransaction().begin();
	}

	// Adds a new book into the database, and returns its identifier.
	public int addBook(Book newBook) {
		em.persist(newBook);
		return newBook.getId();
	}

	// Deletes the book with the given id (if it exists in the database).
	public void removeBookById(int bookId) {
		// TODO
	}

	// Gets all books present in the database.
	public List<Book> getAllBooks() {
		return Utils.selectRecords(em);
	}

	public void close() {
		if (em != null) {
			em.getTransaction().commit();
			em.close();
		}
	}
}
