package book.util;

import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.TypedQuery;

import book.entities.Book;

public class Utils {

	public static EntityManager getEntityManager(String name) {
		// Get an entity manager factory by persistence unit name
	    // The database table will be automatically created by eclipselink
	    EntityManagerFactory emf = Persistence.createEntityManagerFactory(name);

	    // Create an entity manager
	    return emf.createEntityManager();
	}

	public static void printRecords(EntityManager em) {
	    List<Book> items = selectRecords(em);

	    System.out.println();

	    for(Book b : items) {
	        System.out.println(b);
	    }

	    System.out.println();
	}

	// Select with JPQL and print out entities
	public static List<Book> selectRecords(EntityManager em) {
	    TypedQuery<Book> q = em.createQuery("SELECT b FROM Book AS b", Book.class);
	    return q.getResultList();
	}

}
